Bug 2031317 - F35FailsToInstall: rust-libslirp+default-devel, rust-libslirp+libsystemd-devel
Summary: F35FailsToInstall: rust-libslirp+default-devel, rust-libslirp+libsystemd-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rust-libslirp
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rust SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-12-11 01:14 UTC by Miro Hrončok
Modified: 2021-12-30 23:29 UTC (History)
3 users (show)

Fixed In Version: rust-libslirp-4.2.2-9.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-12-29 01:28:59 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2021-12-11 01:14:52 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

Your package (rust-libslirp) Fails To Install in Fedora 35:

can't install rust-libslirp+default-devel:
  - nothing provides (crate(libsystemd/default) >= 0.2.0 with crate(libsystemd/default) < 0.3.0~) needed by rust-libslirp+default-devel-4.2.2-8.fc35.noarch
  
can't install rust-libslirp+libsystemd-devel:
  - nothing provides (crate(libsystemd/default) >= 0.2.0 with crate(libsystemd/default) < 0.3.0~) needed by rust-libslirp+libsystemd-devel-4.2.2-8.fc35.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2021-12-19 12:09:00 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 2 Fedora Update System 2021-12-20 20:32:36 UTC
FEDORA-2021-f85b141c98 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f85b141c98

Comment 3 Fedora Update System 2021-12-21 01:18:47 UTC
FEDORA-2021-f85b141c98 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f85b141c98`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f85b141c98

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-12-29 01:28:59 UTC
FEDORA-2021-f85b141c98 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.